Skip to content
Back to top

# bson_copy_to_excluding_noinit_va()

## Synopsis

    void
    bson_copy_to_excluding_noinit_va (const bson_t *src,
                                      bson_t *dst,
                                      const char *first_exclude,
                                      va_list args);

## Parameters

- `src`: A bson_t.

- `dst`: A bson_t.

- `first_exclude`: The first field name to exclude.

- `args`: A va_list.

## Description

The bson_copy_to_excluding_noinit_va() function shall copy all fields from `src` to `dst` except those specified by `first_exclude` and `args`.

Does not call bson_init() on `dst`.

See also

bson_copy_to_excluding_noinit()